Name:           perl-Config-Model-Itself
Version:        1.245
Release:        1%{?dist}
Summary:        Model editor for Config::Model
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Config-Model-Itself/
Source0:        http://www.cpan.org/authors/id/D/DD/DDUMONT/Config-Model-Itself-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config::Model) >= 2.064
BuildRequires:  perl(Config::Model::TkUI) >= 1.210
BuildRequires:  perl(Config::Model::Value)
BuildRequires:  perl(Data::Compare)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(ExtUtils::testlib)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Copy::Recursive)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(lib)
BuildRequires:  perl(Log::Log4perl) >= 1.11
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Mouse)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Pod::POM)
BuildRequires:  perl(Pod::Usage)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::Differences)
BuildRequires:  perl(Test::File::Contents)
BuildRequires:  perl(Test::Memory::Cycle)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Tk)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  perl(YAML::Tiny)
Requires:       perl(Config::Model::TkUI) >= 1.210
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Config::Model\\)\s*$
%global __requires_exclude %__requires_exclude|^perl\\(Config::Model::TkUI\\)\s*$
%global __requires_exclude %__requires_exclude|^perl\\(Log::Log4perl\\)\s*$

%description
Config::Itself module and its model files provide a model of Config:Model
(hence the Itself name).

%prep
%setup -q -n Config-Model-Itself-%{version}
sed -i -e '1s|#!/usr/bin/env perl|#!perl|' config-model-edit

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%license LICENSE
%doc Changes config-model-edit data README
%{perl_vendorlib}/*
%{_bindir}/config-model-edit
%{_mandir}/man3/*
%{_mandir}/man1/*

%changelog
* Mon Jul 20 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.245-1
- 1.245 bump
- Modernize spec

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.227-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.227-9
- Perl 5.22 rebuild

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.227-8
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.227-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Aug 05 2013 Petr Pisar <ppisar@redhat.com> - 1.227-6
- Perl 5.18 rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.227-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.227-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.227-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jul 01 2012 Petr Pisar <ppisar@redhat.com> - 1.227-2
- Perl 5.16 rebuild

* Sat Nov 26 2011 David Hannequin david.hannequin@gmail.com 1.227-1
- Updated to a new upstream version.

* Fri Mar 04 2011 David Hannequin david.hannequin@gmail.com 1.222-1
- Updated to a new upstream version.

* Mon Oct 04 2010 David Hannequin david.hannequin@gmail.com 1.218-1
- Updated to a new upstream version.

* Fri Jun 25 2010 David Hannequin david.hannequin@gmail.com 1.215-2
- Add missing build require

* Sun Jun 20 2010 David Hannequin david.hannequin@gmail.com 1.215-1
- Updated to a new upstream version.

* Sun Aug 02 2009 David Hannequin david.hannequin@gmail.com 1.211-1
- First Release 
